﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace LoginAndLogoutSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        //initialize all classes
        SqlConnection conn = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        SqlDataAdapter da = new SqlDataAdapter();
        DataTable dt = new DataTable();

        //declaring variables
        string query;
        int result, maxrow;
        

        private void Form1_Load(object sender, EventArgs e)
        {
            //set a connection between SQL server and Visual C#
            conn.ConnectionString = "Data Source=.\\SQLEXPRESS;database=cruddb;trusted_connection=true;";
        }

        private void btnLogin_Click(object sender, EventArgs e)
        {
            try
            {
                conn.Open();
                //create a query for retrieving data in the database.
                query = "SELECT * FROM tbluser WHERE UNAME='" + txtUsername .Text  + "' and PASS='" + txtPassword .Text  +"'";
                //initialize new Sql commands
                cmd = new SqlCommand();
                //hold the data to be executed.
                cmd.Connection = conn;
                cmd.CommandText = query;
                //initialize new Sql data adapter
                da = new SqlDataAdapter();
                //fetching query in the database.
                da.SelectCommand = cmd;
                //initialize new datatable
                dt = new DataTable();
                //refreshes the rows in specified range in the datasource. 
                da.Fill(dt);
                //getting the total row in the table.
                maxrow = dt.Rows.Count;
                //validating the total rows in the table
                if (maxrow > 0)
                {
                    //popup message
                    MessageBox.Show("Welcome " + dt.Rows[0].Field<string>("UROLE"));
                    //disable the group box.
                    groupBox1 .Enabled = false ;
                    //store the value in the linklabel
                    lblGuest.Text = "Hello " + dt.Rows[0].Field<string>("NAME") + "  Logout";
                    //clearing textboxes
                    txtPassword.Clear();
                    txtUsername.Clear();
                }
                else
                {
                    //when account does not exist, it will display this message.
                    MessageBox.Show("Account does not exist.");
                }


            }
            catch (Exception ex)
            {
                //catching error
                MessageBox.Show(ex.Message);
            }
            finally
            {
                da.Dispose(); 
                conn.Close();
            }
        }

        private void lblGuest_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            //logout process..
            //the form will return to the Guest view.
            lblGuest.Text = "Hello Guest!";
            groupBox1.Enabled = true;
            txtPassword.Clear();
            txtUsername.Clear();
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            //closing the form.
            this.Close();
        }
    }
}
